summaryrefslogtreecommitdiff
path: root/debian/tests/upstream.sh
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests/upstream.sh')
-rwxr-xr-xdebian/tests/upstream.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/debian/tests/upstream.sh b/debian/tests/upstream.sh
new file mode 100755
index 0000000..918c91e
--- /dev/null
+++ b/debian/tests/upstream.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+set -e
+
+cwd=$(pwd)
+cd test
+
+for py3ver in $(py3versions -vs)
+do
+ echo "Running tests with Python ${py3ver}."
+ /usr/bin/python${py3ver} -B -c "import nose; nose.main()"
+done
+
+cd $cwd